Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.cms
Class CompressedDataParser

    java.lang.Object
      org.bouncycastle.asn1.cms.CompressedDataParser

    public class CompressedDataParser

extends java.lang.Object

RFC 3274 - CMS Compressed Data.

     CompressedData ::= SEQUENCE {
      version CMSVersion,
      compressionAlgorithm CompressionAlgorithmIdentifier,
      encapContentInfo EncapsulatedContentInfo
     }

Constructor Summary
`CompressedDataParser(ASN1SequenceParser seq)`

Method Summary
`AlgorithmIdentifier` `getCompressionAlgorithmIdentifier()`
`ContentInfoParser` `getEncapContentInfo()`
`DERInteger` `getVersion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompressedDataParser

    public CompressedDataParser(ASN1SequenceParser seq)
                         throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getVersion

    public DERInteger getVersion()

### getCompressionAlgorithmIdentifier

    public AlgorithmIdentifier getCompressionAlgorithmIdentifier()

### getEncapContentInfo

    public ContentInfoParser getEncapContentInfo()

Bouncy Castle Cryptography Library 1.45